liberror-perl_0.17-1.1_all.deb


Advertisement

Description

liberror-perl - Perl module for error/exception handling in an OO-ish way

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name liberror-perl
Package version 0.17
Package release 1.1
Package architecture all
Package type deb
Installed size 40 B
Download size 21.88 KB
Official Mirror ftp.br.debian.org
This module provides two interfaces.  Firstly "Error" provides a
procedural interface to exception handling.  Secondly "Error" is a
base class for errors/exceptions that can either be thrown, for
subsequent catch, or can simply be recorded.
Errors in the class "Error" should not be thrown directly, but the
user should throw errors from a sub-class of "Error".

Alternatives

Package Version Architecture Repository
liberror-perl_0.17-1.1_all.deb 0.17 all Debian Main
liberror-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package liberror-perl_0.17-1.1_all.deb
Source Package liberror-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liberror-perl deb package:
    # sudo apt-get install liberror-perl

Files

Path
/usr/share/doc/liberror-perl/README
/usr/share/doc/liberror-perl/changelog.Debian.gz
/usr/share/doc/liberror-perl/changelog.gz
/usr/share/doc/liberror-perl/copyright
/usr/share/man/man3/Error.3pm.gz
/usr/share/man/man3/Error::Simple.3pm.gz
/usr/share/perl5/Error.pm
/usr/share/perl5/Error/Simple.pm

Changelog

2013-09-07 - CSILLAG Tamas <cstamas@cstamas.hu>
liberror-perl (0.17-1.1) unstable; urgency=low
* Non-maintainer upload.
* apply fix for tests from upstream (closes: #711441) 
2007-12-02 - Clint Burfoot <clint@burfoot.info>
liberror-perl (0.17-1) unstable; urgency=low
* New upstream version (closes: #383606)
* debian/rules: use CURDIR instead of PWD (closes: #390482)
* debian/copyright: update copy of author's copyright
* debian/control: new standards version, debhelper dependency
* lib/Error/Simple.pm: manpage fix to POD
2005-10-13 - Clint Burfoot <clint@myinternet.com.au>
liberror-perl (0.15-8) unstable; urgency=low
* New Maintainer (closes: #313634)
2005-09-10 - Luk Claes <luk@debian.org>
liberror-perl (0.15-7) unstable; urgency=low
* Set maintainer to Debian QA Group
* Updated Standards-Version
* Removed version in versioned build-dep on debhelper
2004-11-05 - Luk Claes <luk.claes@ugent.be>
liberror-perl (0.15-6) unstable; urgency=low
* debian/watch: added
* Error.pm: - as minus sign for manpage
2003-09-10 - Luk Claes <luk.claes@ugent.be>
liberror-perl (0.15-5) unstable; urgency=low
* New maintainer (closes: #210217)
2003-09-06 - Ardo van Rangelrooij <ardo@debian.org>
liberror-perl (0.15-4) unstable; urgency=low
* debian/rules: overhauled completely
* debian/rules: moved debhelper compatibility level setting to
'debian/compat' per latest debhelper best practices
* debian/rules: upgraded to debhelper v4
* debian/control: overhauled completely
* debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
* debian/control: updated sections according to latest archive changes:
- 'liberror-perl' from 'interpreters' to 'perl'
* debian/control: updated short description and long description
* debian/control: upgraded to Debian Policy 3.6.0 (no changes)
2003-08-24 - Ardo van Rangelrooij <ardo@debian.org>
liberror-perl (0.15-3) unstable; urgency=low
* New maintainer
(closes: Bug#206881)
- no other changes yet
2003-06-08 - Paolo Molaro <lupus@debian.org>
liberror-perl (0.15-2) unstable; urgency=low
* Include pointer to the perl licenses even if upstream doesn't 
include them in the source (closes: bug#157579).
* Build package in binary-indep (closes: bug#157476).
* Included fix for bug in otherwise clause (closes: bug#180784).
* Changed section.
2002-07-06 - Paolo Molaro <lupus@debian.org>
liberror-perl (0.15-1) unstable; urgency=low
* New upstream release (Closes: bug#136365, bug#150105).

See Also

Package Description
libescape-ruby_0.2-3_all.deb Transitional package for ruby-escape
libesd-java_0.0.7-4_all.deb Implementation of EsounD in pure Java
libesd0-dev_0.2.41-11_amd64.deb Enlightened Sound Daemon - Development files
libesd0_0.2.41-11_amd64.deb Enlightened Sound Daemon - Shared libraries
libesmtp-dev_1.0.6-4_amd64.deb LibESMTP SMTP client library (development files)
libesmtp6_1.0.6-4_amd64.deb LibESMTP SMTP client library
libespeak-dev_1.48.04+dfsg-1_amd64.deb Multi-lingual software speech synthesizer: development files
libespeak1_1.48.04+dfsg-1_amd64.deb Multi-lingual software speech synthesizer: shared library
libestools2.1-dev_2.1~release-8_amd64.deb Edinburgh Speech Tools Library - developer's libraries
libestools2.1_2.1~release-8_amd64.deb Edinburgh Speech Tools Library
libestr-dev_0.1.9-1.1_amd64.deb Helper functions for handling strings (headers)
libestr0_0.1.9-1.1_amd64.deb Helper functions for handling strings (lib)
libestraier-dev_1.4.13-13+b1_amd64.deb full-text search system Libraries [development]
libestraier-java_1.4.13-13+b1_amd64.deb Hyper Estraier Node API Libraries for Java
libestraier-perl_1.4.13-13+b1_amd64.deb Hyper Estraier node API Libraries for Perl
Advertisement
Advertisement